curl --request GET \
--url https://ap.replace-me.example.com/statement/nexus \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/statement/nexus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/statement/nexus"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uuid": "83c2d4bf-febc-44bd-9a97-fdb387f4199b",
"status": "NEW",
"ww_account_id": 0,
"ww_statement_id": 0,
"ww_client_id": 0,
"ww_control_code": "string",
"status_message": "string",
"nexus_json": {
"tax": 0,
"shipping": 0,
"priority": "string",
"lines": [
{
"line_item_uuid": "b9cc5c2e-53d2-47fd-9521-e1f120370f20",
"invoiceitem_quantity": 0,
"invoiceitem_unitprice": 0,
"glaccount_number": "string",
"unit_id_alt": "string",
"utilityusagetype_name": "string",
"utilityaccount_accountnumber": "string",
"invoiceitem_description": "string",
"property_id_alt": "string",
"invoiceitem_taxflag": "N",
"universal_field1": "string",
"universal_field2": "string",
"universal_field3": "string",
"universal_field4": "string",
"universal_field5": "string",
"universal_field6": "string",
"universal_field7": "string",
"universal_field8": "string"
}
],
"integration_package_name": "JDE",
"property_id_alt": "12345",
"vendor_id_alt": "12345",
"userprofile_username": "EWServices",
"invoice_datetm": "2020-12-10",
"invoice_ref": "string",
"invoice_duedate": "2020-12-10",
"invoice_period": "2020-12-10",
"control_amount": 0,
"remit_advice": 0,
"invoice_private": 0,
"currency_code": "string",
"country_code": "string",
"invoice_cycle_from": "2020-12-10",
"invoice_cycle_to": "2020-12-10",
"invoice_note": "string",
"invoice_budgetoverage_note": "string",
"universal_field1": "string",
"universal_field2": "string",
"universal_field3": "string",
"universal_field4": "string",
"universal_field5": "string",
"universal_field6": "string",
"universal_field7": "string",
"universal_field8": "string",
"invoicepayment_type": "string"
}
}
]Search Nexus Statements
Searches system for Nexus statements. At least one search parameter is required.
Note: Results are returned in page sizes of 500 records, use the page parameter to paginate through full result set.
Response Body Structure
| Path | Type | Description |
|---|---|---|
[].uuid | UUID | EnergyWatch universally unique identifier |
[].status | Enum | Available values : ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED |
[].ww_account_id | Integer | EnergyWatch account identifier |
[].ww_statement_id | Integer | EnergyWatch statement identifier |
[].ww_client_id | Integer | EnergyWatch client node identifier |
[].ww_control_code | String | EnergyWatch Control Code identifier for PDFs |
[].status_message | String | Status message |
[].nexus_json | Nexus Statement Model | The statement’s raw body |
curl --request GET \
--url https://ap.replace-me.example.com/statement/nexus \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/statement/nexus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/statement/nexus"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uuid": "83c2d4bf-febc-44bd-9a97-fdb387f4199b",
"status": "NEW",
"ww_account_id": 0,
"ww_statement_id": 0,
"ww_client_id": 0,
"ww_control_code": "string",
"status_message": "string",
"nexus_json": {
"tax": 0,
"shipping": 0,
"priority": "string",
"lines": [
{
"line_item_uuid": "b9cc5c2e-53d2-47fd-9521-e1f120370f20",
"invoiceitem_quantity": 0,
"invoiceitem_unitprice": 0,
"glaccount_number": "string",
"unit_id_alt": "string",
"utilityusagetype_name": "string",
"utilityaccount_accountnumber": "string",
"invoiceitem_description": "string",
"property_id_alt": "string",
"invoiceitem_taxflag": "N",
"universal_field1": "string",
"universal_field2": "string",
"universal_field3": "string",
"universal_field4": "string",
"universal_field5": "string",
"universal_field6": "string",
"universal_field7": "string",
"universal_field8": "string"
}
],
"integration_package_name": "JDE",
"property_id_alt": "12345",
"vendor_id_alt": "12345",
"userprofile_username": "EWServices",
"invoice_datetm": "2020-12-10",
"invoice_ref": "string",
"invoice_duedate": "2020-12-10",
"invoice_period": "2020-12-10",
"control_amount": 0,
"remit_advice": 0,
"invoice_private": 0,
"currency_code": "string",
"country_code": "string",
"invoice_cycle_from": "2020-12-10",
"invoice_cycle_to": "2020-12-10",
"invoice_note": "string",
"invoice_budgetoverage_note": "string",
"universal_field1": "string",
"universal_field2": "string",
"universal_field3": "string",
"universal_field4": "string",
"universal_field5": "string",
"universal_field6": "string",
"universal_field7": "string",
"universal_field8": "string",
"invoicepayment_type": "string"
}
}
]Authorizations
Token returned by POST /authenticate. Expires after 60 minutes of inactivity.
Query Parameters
EnergyWatch account identifier
EnergyWatch client node identifier
The invoice total
EnergyWatch Control Code identifier for PDFs
Name of the integration package
Budget overage notes
An invoice date
A due date
Notes
Period for the invoice in (where day is always 01)
The invoice number
Property code
The total shipping amount for the invoice
EnergyWatch statement identifier
Available values : ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED
ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED Status message
The total tax amount for the invoice
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
The username of the user who will be considered the creator of the invoice
Energywatch universally unique identifier
Vendor code
(Optional) order by clause when searching statements, useful during paginated requests
(Optional) used to paginate through large resultset, NOTE: results come back in page sizes of 500 records
x >= 1
